from django.utils.translation import gettext_lazy as _

import django_tables2 as tables
from django_tables2.utils import A


class OrganisationTable(tables.Table):
    """Table to list organisations."""

    class Meta:
        attrs = {"class": "highlight"}

    name = tables.LinkColumn("show_organisation", args=[A("id")])
    edit = tables.LinkColumn(
        "edit_organisation",
        args=[A("id")],
        text=_("Edit"),
        attrs={"a": {"class": "btn-flat waves-effect waves-orange orange-text"}},
        verbose_name=_("Actions"),
    )

class MembershipTypeTable(tables.Table):
    """ Table to list membership types."""

    class Meta:
        attrs = {"class": "highlight"}

    caption = tables.LinkColumn("show_membership_type", args=[A("id")])
    description = tables.Column()
    edit = tables.LinkColumn(
        "edit_membership_type",
        args=[A("id")],
        text=_("Edit"),
        attrs={"a": {"class": "btn-flat waves-effect waves-orange orange-text"}},
        verbose_name=_("Actions"),
    )