from django.urls import path

from . import views

urlpatterns = [
    path("organisations", views.OrganisationsListView.as_view(), name="organisations"),
    path("organisations/create", views.OrganisationCreateView.as_view(), name="create_organisation"),
    path("organisation/<int:pk>", views.OrganisationDetailView.as_view(), name="show_organisation"),
    path("organisation/<int:pk>/edit", views.OrganisationEditView.as_view(), name="edit_organisation"),
    path("membership_types", views.MembershipTypesListView.as_view(), name="membership_types"),
    path("membership_types/create", views.MembershipTypeCreateView.as_view(), name="create_membership_type"),
    path("membership_type/<int:pk>", views.MembershipTypeDetailView.as_view(), name="show_membership_type"),
    path("membership_type/<int:pk>/edit", views.MembershipTypeEditView.as_view(), name="edit_membership_type"),   
]
